from bzrlib.transport import get_transport
from bzrtools import iter_branches

def branches(location=None):
    if location is None:
        location = '.'
    t = get_transport(location)
    if not t.listable():
        print "Can't list this type of location."
        return 3
    for branch in iter_branches(t):
        print branch.base[len(t.base):].rstrip('/')
